#!/bin/bash

this_host_name=$(hostname)

if [ "$this_host_name" == "exflong201.desy.de" ]; then
  echo "activating karabo:"
  source /scratch/xonc/mid/karabo/activate
  echo "do karabo check:"
  karabo-check
  echo "installing:"
  cd
  cd git/onlinemid
  git checkout .
  git pull
  git checkout main
  cd python_package
  pip install .
  cd ../karabo_devices/shared_mem_processor
  pip install .
  cd 
  
fi


if [ "$this_host_name" == "exflong201.desy.de" ]; then
  karabo-kill -k pythonserver_onlinexpcs_g1
  tail -F --lines=200 /scratch/xonc/mid/karabo/var/log/pythonserver_onlinexpcs_g1/current
fi

if [ "$this_host_name" == "exflong202.desy.de" ]; then
  karabo-kill -k pythonserver_onlinexpcs_g2
  tail -F --lines=200 /scratch/xonc/mid/karabo/var/log/pythonserver_onlinexpcs_g2/current
fi

if [ "$this_host_name" == "exflong203.desy.de" ]; then
  karabo-kill -k pythonserver_onlinexpcs_g3
  tail -F --lines=200 /scratch/xonc/mid/karabo/var/log/pythonserver_onlinexpcs_g3/current
fi

if [ "$this_host_name" == "exflong204.desy.de" ]; then
  karabo-kill -k pythonserver_onlinexpcs_g4
  tail -F --lines=200 /scratch/xonc/mid/karabo/var/log/pythonserver_onlinexpcs_g4/current
fi



